########## R DEMONSTRATION: MULTIPLE COMPARISONS 2013 ##########

## read and attach the data
anova_data <- read.table("ANOVA_data.txt", header=T, row.names="ID")
attach(anova_data)

## use the factor() function to tag GROUP as a categorical variable
factor(GROUP)

### PART I: ANOVA with built-in R functions ###

## use the lm() and anova() functions to execute the ANOVA
aov_model <- aov(FLOWERING_PERIOD ~ GROUP)
summary(aov_model)

### PART II: Post-Hoc Tests ###

qtukey(0.95,2,9)
TukeyHSD(aov_model)

## use the multcomp package to perform Tukey and Dunnett tests
library(multcomp)

Tukey_test <- glht(aov_model, linfct = mcp(GROUP = "Tukey"))
summary(Tukey_test)

Dunnett_test <- glht(aov_model, linfct = mcp(GROUP = "Dunnett"))
summary(Dunnett_test)

### PART III: A Priori Comparisons ###

ave_treat <- as.vector(tapply(FLOWERING_PERIOD,GROUP, mean))

#Contrast: unmanipulated vs non-heated
MS_unm_hea <- 4*(((1)*ave_treat[1] + (-2)*ave_treat[2] + (1)*ave_treat[3])^2)/(1^2+1^2+2^2)
F_ratio <- MS_unm_hea/ 2.1667
F_ratio
1-pf(F_ratio,2,9)

detach(anova_data)
